<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.6.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}

// start: modified by Arlind
$shop_item_layout   = get_data('shop_catalog_layout');
$shop_columns       = apply_filters( 'kalium_woocommerce_shop_columns', 3 );

// Get Bootstrap Class Name
$shop_columns_bs    = lab_wc_get_columns_class( $shop_columns );


if ( is_ajax() ) {
	$classes[] = 'product';
}

if ( apply_filters( 'lab_wc_product_grid_columns', true ) == false ) {
	$shop_columns      = 0;
	$shop_columns_bs   = '';
	$classes[]         = 'col-sm-12';
}

if ( $shop_columns_bs ) {
	$classes[] = $shop_columns_bs;
}

$classes[] = 'catalog-layout-' . $shop_item_layout;
// end: modified by Arlind

?>
<div <?php post_class( $classes ); ?> data-id="<?php the_ID(); ?>">
	<?php
	/**
	 * woocommerce_before_shop_loop_item hook.
	 *
	 * @hooked woocommerce_template_loop_product_link_open - 10
	 */
	do_action( 'woocommerce_before_shop_loop_item' );

	/**
	 * woocommerce_before_shop_loop_item_title hook.
	 *
	 * @hooked woocommerce_show_product_loop_sale_flash - 10
	 * @hooked woocommerce_template_loop_product_thumbnail - 10
	 */
	do_action( 'woocommerce_before_shop_loop_item_title' );

	/**
	 * woocommerce_shop_loop_item_title hook.
	 *
	 * @hooked woocommerce_template_loop_product_title - 10
	 */
	do_action( 'woocommerce_shop_loop_item_title' );

	/**
	 * woocommerce_after_shop_loop_item_title hook.
	 *
	 * @hooked woocommerce_template_loop_rating - 5
	 * @hooked woocommerce_template_loop_price - 10
	 */
	do_action( 'woocommerce_after_shop_loop_item_title' );

	/**
	 * woocommerce_after_shop_loop_item hook.
	 *
	 * @hooked woocommerce_template_loop_product_link_close - 5
	 * @hooked woocommerce_template_loop_add_to_cart - 10
	 */
	do_action( 'woocommerce_after_shop_loop_item' );
	?>
</div>
<?php

// start: modified by Arlind
do_action( 'kalium_woocommerce_shop_loop_clear_row', $shop_columns );
// end: modified by Arlind